

#import "TreeStringTool.h"

const char *c_tree_string(const TreeStringData *data)
{
    if (data->decoded == 1) return data->value;
    for (int i = 0; i < data->length; i++) {
        data->value[i] ^= data->factor;
    }
    ((TreeStringData *)data)->decoded = 1;
    return data->value;
}

NSString *objc_tree_string(const TreeStringData *data)
{
    return [NSString stringWithUTF8String:c_tree_string(data)];
}

